# ALTER RULE

ALTER RULE — 變更規則的宣告

### 語法

```
ALTER RULE name ON table_name RENAME TO new_name
```

### 說明

ALTER RULE 變更現有規則的屬性。目前，唯一可用的操作是變更規則的名稱。

要使用 ALTER RULE，您必須擁有該規則適用的資料表或檢視表。

### 參數

*`name`*

要變更的現有規則名稱。

*`table_name`*

規則適用的資料表或檢視表名稱（可加入綱要限定）。

*`new_name`*

規則的新名稱。

### 範例

要重新命名現有規則：

```
ALTER RULE notify_all ON emp RENAME TO notify_me;
```

### 相容性

ALTER RULE 是一個 PostgreSQL 語言延伸功能，整個查詢覆寫系統也都是延伸功能。

### 參閱

[CREATE RULE](/11/reference/sql-commands/create-rule.md), [DROP RULE](/11/reference/sql-commands/drop-rule.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/11/reference/sql-commands/alter-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
